package client_handlers

import (
	"cpone/utils"
	client_mdprofile "cpone/views/client/mdprofile"

	"github.com/labstack/echo/v4"
)

type MdProfileService interface {
}

func NewMdProfileHandler(us MdProfileService) *MdProfileHandler {
	return &MdProfileHandler{
		MdProfileService: us,
	}
}

type MdProfileHandler struct {
	MdProfileService MdProfileService
}

func (uh *MdProfileHandler) ShowMdProfile(c echo.Context) error {
	helo := client_mdprofile.Show()
	return utils.View(c, helo)
}
